<?php
/*
Plugin Name: Edgeio Classifieds
Plugin URI:  
Description: Get custom Edgeio Classifieds
Author: Andrew Yasinsky
Version: 1.0
Author URI: 
*/
 class edgeioConf{
  	var $data = array();
  	
	function edgeioConf(){ //init
	 $res=explode('.',$_SERVER['SERVER_NAME']);
	  if(sizeof($res)==3){
	  	$conffile = $res[1];
	  }elseif(sizeof($res)==2){
	  	$conffile = $res[0];
	  }else{
	  	$conffile = 'default';
	  }
	
     $this->data["SITE_ROOT"] = dirname(__FILE__).'/';
     $this->data["DIR_WS_FUNCTIONS"] = $this->data["SITE_ROOT"] . 'functions/';
     $this->data["DIR_WS_CLASSES"] = $this->data["SITE_ROOT"] . 'classes/';
     $this->data["DIR_WS_META"] = $this->data["SITE_ROOT"] . 'meta/';
     $this->data["CACHE_PATH"] = $this->data["SITE_ROOT"] . 'cache/';
     $this->data["CACHE_TIME"] = 600; //rss cache in sec
     $this->data["CONF_URL"] = '';
     $this->data["CONF_FILE"] = $this->data["DIR_WS_META"] . $conffile . '.template.xml'; 
     if(!is_file($this->data["CONF_FILE"])){
  	  $this->data["CONF_FILE"] = $this->data["DIR_WS_META"] . 'default.template.xml'; 
     }
	}
  }
  
  require(dirname(__FILE__).'/' . 'edgeio.php');
  require(dirname(__FILE__).'/classes/' . 'lastRSS.php');
  require(dirname(__FILE__).'/classes/' . 'httpclient.inc.php');
  require(dirname(__FILE__).'/classes/' . 'Configuration.php');
  require(dirname(__FILE__).'/classes/' . 'Board.php');

function edgeio_classifieds_callback($content) {
		$edgeio_placeholder='%%edgeio_classifieds';
		$edgeio_close='%%';
		$edgeio_params_start = strpos($content,$edgeio_placeholder) + strlen($edgeio_placeholder);
		$edgeio_params_end = strpos($content,$edgeio_close,$edgeio_params_start);
		parse_str(html_entity_decode(trim(substr($content,$edgeio_params_start,$edgeio_params_end-$edgeio_params_start))),$edgeio_params);
	if(strpos($content,$edgeio_placeholder)!==false){
		if ((count($edgeio_params)==0)&&($edgeio_params_start>0)){// request without any params, use local file
		  $edgeioconf = new edgeioConf();
		  $myedgeio = new edgeio($edgeioconf->data);
		  $edgeio_res = $myedgeio->get_edgeio_classifieds();
		  return substr_replace($content,$edgeio_res,$edgeio_params_start-strlen($edgeio_placeholder),$edgeio_params_end+strlen($edgeio_close)-$edgeio_params_start+strlen($edgeio_placeholder));
		}
		
		if ((count($edgeio_params)>0)&&($edgeio_params_start>0)){// request with params lets see whazup
		  //set url request from edgeio
		  $edgeioconf = new edgeioConf();
		  $edgeioconf->data['CONF_URL'] = 'http://www.edgeio.com/wp-plugin/config.php?'.http_build_query($edgeio_params);
		  $myedgeio = new edgeio($edgeioconf->data);
		  $res = $myedgeio->get_edgeio_classifieds();
		  return substr_replace($content,$edgeio_res,$edgeio_params_start-strlen($edgeio_placeholder),$edgeio_params_end+strlen($edgeio_close)-$edgeio_params_start+strlen($edgeio_placeholder));
		}
	}	
	return $content;
}

add_filter('the_content','edgeio_classifieds_callback');
?>